Bug 8047 - [PATCH] mdns registration doesn't work if "interfaces" is used in smb.conf
[PATCH] mdns registration doesn't work if "interfaces" is used in smb.conf
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-29 14:30 UTC by Marc A. Dahlhaus
Modified: 2011-04-04 18:54 UTC (History)
0 users

See Also:


Attachments
Patch to fix this bug (358 bytes, patch)
2011-03-29 14:30 UTC, Marc A. Dahlhaus
no flags Details
patch (807 bytes, patch)
2011-04-01 20:33 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc A. Dahlhaus 2011-03-29 14:30:20 UTC
Created attachment 6356 [details]
Patch to fix this bug

Hello,

the dns_port var doeasn get updated to a useful value if smbd was bound to specific interfaces in smb.conf and thus smbd does no registration of mdns services. Tested with avahi.

Patch with a fix attached.
Comment 1 Jeremy Allison 2011-04-01 18:10:59 UTC
Comment on attachment 6356 [details]
Patch to fix this bug

Volker - this looks good to me. Can you ack and re-assign to Karolin for inclusion in 3.5.next ?

Thanks,

Jeremy.
Comment 2 Marc A. Dahlhaus 2011-04-01 20:30:37 UTC
(In reply to comment #1)
> Comment on attachment 6356 [details]
> Patch to fix this bug
> 
> Volker - this looks good to me. Can you ack and re-assign to Karolin for
> inclusion in 3.5.next ?

Will this get into samba.git mainline also this way? It's missing there too.

As i'm not yet familiar with patch submission rules for samba, is anything missing like e.g. a Sign-off-by tag?
 
> Thanks,
> 
> Jeremy.

Thanks,

Marc
Comment 3 Volker Lendecke 2011-04-01 20:33:56 UTC
Created attachment 6363 [details]
patch

Yep, looks good. This is the same patch in git-am format. Pushed to autobuild, will push to v3-6-test when it's through.
Comment 4 Volker Lendecke 2011-04-01 20:34:39 UTC
Karolin, please push to v3-5-test.

Thanks,

Volker
Comment 5 Jeremy Allison 2011-04-01 20:35:49 UTC
I already pushed to autobuid for master :-). May the fastest autobuild win :-).
Jeremy.
Comment 6 Volker Lendecke 2011-04-01 20:37:38 UTC
(In reply to comment #2)
> As i'm not yet familiar with patch submission rules for samba, is anything
> missing like e.g. a Sign-off-by tag?

No strict rule, but it would have been slightly easier if you had submitted it in git format-patch format.

Volker
Comment 7 Marc A. Dahlhaus 2011-04-01 20:48:11 UTC
(In reply to comment #6)
> (In reply to comment #2)
> > As i'm not yet familiar with patch submission rules for samba, is anything
> > missing like e.g. a Sign-off-by tag?
> 
> No strict rule, but it would have been slightly easier if you had submitted it
> in git format-patch format.

Will do, next time... :)

Thanks,

Marc
Comment 8 Karolin Seeger 2011-04-04 18:54:46 UTC
Pushed to v3-5-test.
Will be included in the next release.
Closing out bug report.

Thanks!